﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// 데이터 구조체
/// </summary>
[StructLayout(LayoutKind.Sequential)]
public struct DataStruct
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// 정수 값
    /// </summary>
    public int IntegerValue;

    /// <summary>
    /// 배정도 실수 값
    /// </summary>
    public double DoubleValue;

    /// <summary>
    /// 문자 값
    /// </summary>
    public char CharacterValue;

    #endregion
}